import os
from pathlib import Path

# Cesta k úložišti
data_path = Path("S:\data\Captcha labeling tool")

# Podsložky
data_path_raw = os.path.join(data_path, "01_raw")
data_path_processed = os.path.join(data_path, "02_processed")
data_path_captcha = os.path.join("static", "Captcha_images")
data_path_logs = os.path.join(data_path, "03_logs")
data_path_done = os.path.join(data_path, "04_done")

# Konfigurovatelné proměnné
# Požadovaný minimální počet obrázků v kontrolní složce true
required_true_pictures = 10
# Požadovaný minimální počet obrázků k anotaci
required_unknown_pictures = 20
# Velikost obrázku
image_size = (100, 100)
# Session pro flask
secret_key = 'key'
# Minimální počet výskytů true obrázku ve vygenerované CAPTCHA
captcha_true_min = 1
# Maximální počet výskytů true obrázku ve vygenerované CAPTCHA
captcha_true_max = 4
# Minimální počet předložení obrázku, aby byl ohodnocen jako anotovaný
annotation_threshold = 10
# Dolní limit přesnosti, při které je obrázek ohodnocen jako true
true_threshold = 0.75
# Horní limit přesnosti, při které je obrázek ohodnocen jako false
false_threshold = 0.25
